###
### Motivity Makefile for Erlang/OTP Projects
###

CC					= gcc
CFLAGS			= -O -DUNIX

OTPHOME			= /usr/local/lib/erlang
ERL				= erl
ERLC				= erlc
ERLCFLAGS		= +no_debug_info

EMULATOR			= beam

INCLUDES			= -I. 

ERLINTINCLUDES	= -I$(OTPHOME)/lib/erl_interface-3.2.4/include
ERLINTLIBS		= -L$(OTPHOME)/lib/erl_interface-3.2.4/lib -lerl_interface \
						-lei -lresolv

ERLEXECS			= foo.$(EMULATOR) foo_sup.$(EMULATOR) \
						bar.$(EMULATOR) 

CEXECS			= dialogic

OTP-MIBS-DIR	= /usr/local/lib/erlang/lib/eva-2.0.2.1/priv/mibs/

INSTALLD			= /usr/bin/install -d --group otp --mode 2770
INSTALLX			= /usr/bin/install  --group otp --mode 770
INSTALLR			= /usr/bin/install  --group otp --mode 660


########################################
## Erlang rules

%.beam:%.erl
	$(ERLC) $(ERLCFLAGS) $<

%.boot:%.rel
	$(ERLC) $< 

%.bin:%.mib
	 $(ERLC) $<

%.tar.gz:	all %.boot
	$(ERL) -noshell -s systools make_script $* -s erlang halt
	$(ERL) -noshell -s systools make_tar $* -s erlang halt

##
########################################

default: all 

all: $(ERLEXECS) $(CEXECS) $(MIBS)

dialogic:	dialogic.c
	$(CC) $(CFLAGS) $(INCLUDES) $(DIAINCLUDES) $(ERLINTINCLUDES) \
			-o $@ $< $(DIALIBS) $(ERLINTLIBS)

clean: 
	rm -f *.o $(ERLEXECS) $(CEXECS) *.boot *.script

